- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FUStaticFunctor3< Arg1, Arg2, Arg3, ReturnType > Class Template Reference
[Utility Classes.]

A pseudo-functor with three arguments, specialized for static functions. More...

`#include <FUFunctor.h>`

Inheritance diagram for FUStaticFunctor3< Arg1, Arg2, Arg3, ReturnType >:

List of all members.

## Public Member Functions
| FUStaticFunctor3 (ReturnType(*function)(Arg1, Arg2, Arg3))
| Constructor.
virtual | ~FUStaticFunctor3 ()
| Destructor.
virtual ReturnType | operator() (Arg1 argument1, Arg2 argument2, Arg3 argument3) const
| Calls the functor.
virtual bool | Compare (void *UNUSED(object), void *function) const
| Checks whether this pseudo-functor points towards the given function.
virtual IFunctor3< Arg1, Arg2, Arg3, ReturnType > * | Copy () const
| Returns a copy of this functor.

## Detailed Description

### template<class Arg1, class Arg2, class Arg3, class ReturnType>
class FUStaticFunctor3< Arg1, Arg2, Arg3, ReturnType >

A pseudo-functor with three arguments, specialized for static functions.

## Constructor & Destructor Documentation

template<class Arg1, class Arg2, class Arg3, class ReturnType>
FUStaticFunctor3< Arg1, Arg2, Arg3, ReturnType >::FUStaticFunctor3 | ( | ReturnType(*)(Arg1, Arg2, Arg3) | function | ) | `[inline]`

  | Constructor. Parameters:
  | function | A static function.

## Member Function Documentation

template<class Arg1, class Arg2, class Arg3, class ReturnType>
virtual bool FUStaticFunctor3< Arg1, Arg2, Arg3, ReturnType >::Compare | ( | void * | UNUSED(object),
|  | void * | function
| ) | const`[inline, virtual]`

  | Checks whether this pseudo-functor points towards the given function. Parameters:
  | UNUSED | Unused.
  | function | The static function.
Returns: Whether this pseudo-functor points towards the given function.

template<class Arg1, class Arg2, class Arg3, class ReturnType>
virtual ReturnType FUStaticFunctor3< Arg1, Arg2, Arg3, ReturnType >::operator() | ( | Arg1 | argument1,
|  | Arg2 | argument2,
|  | Arg3 | argument3
| ) | const`[inline, virtual]`

  | Calls the functor. Parameters:
  | argument1 | A first argument.
  | argument2 | A second argument.
  | argument3 | A third argument.
Returns: Implementation-dependant. Implements IFunctor3< Arg1, Arg2, Arg3, ReturnType >.

The documentation for this class was generated from the following file:

- FUtils/FUFunctor.h